Realtime - Task #1614

Fixed bugs on realtime app
02/14/2019 05:49 PM - Luis Rodriguez

Status: Resolved Start date: 02/04/2019
Priority: Normal Due date: 02/07/2019
Assignee: Luis Rodriguez % Done: 100%
Category: Estimated time: 0.00 hour
Target version: version 1.0 Spent time: 0.00 hour
Description

There are two main problems:
* Not visualize correctly the time scale in Local Time even when variable localtime in metada is True.
* Not send/receive correctly the data from client to server (RTI)

Related issues:

Follows Task #1613: Running realtime app using docker Resolved 01/28/2019 01/31/2019
Precedes Task #1616: Schain v3 - modules, objects and send data realtime app Resolved 02/18/2019 02/21/2019
History

#1 - 02/14/2019 05:50 PM - Luis Rodriguez
- Follows Task #1613: Running realtime app using docker added

#2 - 02/14/2019 05:58 PM - Luis Rodriguez
- Status changed from New to Resolved

- % Done changed from 80 to 100

The two problems was resolved:

* Not visualize correctly the time scale in Local Time even when variable localtime in metada is True.

Solution: In the script jroplot.js, the function use a conditional to decide whether is LT or UTC using localtime variable store in meta dict. The problem
was the way to access, it was change from data.localtime(wrong) to data.meta.localtime(right).

* Not send/receive correctly the data from client to server (RTI)

Solution: In the script client.py, it manage thread for sending data from client to server. The lack of t.join() at end of each thread was problem for
send data.

#3 - 02/14/2019 06:12 PM - Luis Rodriguez

- Precedes Task #1616: Schain v3 - modules, objects and send data realtime app added

05/19/2024 1/1



http://www.tcpdf.org

